class Contact {

    ContactType contactType

    Manufacturer manufacturer
    Supplier supplier
    Person person
    Site site

    String value

//     hasMany = []

    static belongsTo = [Manufacturer, Supplier, Person, Site]

    static constraints = {
        value(maxSize:50)

        manufacturer(nullable:true)
        supplier(nullable:true)
        person(nullable:true)
        site(nullable:true)
    }

    String toString() {
        "${this.contactType}: ${this.value}"
    }

}